WPSDocumentParsingState Struct Reference

`#include <WPSContentListener.h>`

## Public Member Functions

| WPSDocumentParsingState (std::vector< WPSPageSpan > const &pageList)
| ~WPSDocumentParsingState ()

## Public Attributes

std::vector< WPSPageSpan > | m_pageList
WPXPropertyList | m_metaData
int | m_footNoteNumber
| footnote number More...
int | m_endNoteNumber
| endnote number More...
int | m_newListId
bool | m_isDocumentStarted
bool | m_isHeaderFooterStarted
std::vector< WPSSubDocumentPtr > | m_subDocuments

## Private Member Functions

| WPSDocumentParsingState (const WPSDocumentParsingState &)
| list of document actually open More...
WPSDocumentParsingState & | operator= (const WPSDocumentParsingState &)

## Constructor & Destructor Documentation

WPSDocumentParsingState::WPSDocumentParsingState | ( | std::vector< WPSPageSpan > const & | pageList | ) |

WPSDocumentParsingState::~WPSDocumentParsingState | ( |  | ) |

WPSDocumentParsingState::WPSDocumentParsingState | ( | const WPSDocumentParsingState & |  | ) |

private

list of document actually open

## Member Function Documentation

WPSDocumentParsingState& WPSDocumentParsingState::operator= | ( | const WPSDocumentParsingState & |  | ) |

private

## Member Data Documentation

int WPSDocumentParsingState::m_endNoteNumber

endnote number

int WPSDocumentParsingState::m_footNoteNumber

footnote number

bool WPSDocumentParsingState::m_isDocumentStarted

bool WPSDocumentParsingState::m_isHeaderFooterStarted

WPXPropertyList WPSDocumentParsingState::m_metaData

int WPSDocumentParsingState::m_newListId

std::vector<WPSPageSpan> WPSDocumentParsingState::m_pageList

std::vector<WPSSubDocumentPtr> WPSDocumentParsingState::m_subDocuments

The documentation for this struct was generated from the following files:

- WPSContentListener.h
- WPSContentListener.cpp